package ibase.dashboard.mfg.ejb;
import ibase.webitm.ejb.ValidatorLocal;
import ibase.webitm.utility.ITMException;

import java.rmi.RemoteException;

import javax.ejb.Local;

@Local
public interface ProductionVsBudgetReportLocal  extends ValidatorLocal{
	
	public String getProductionBudget(String frmDate,String toDate,String geoLoc,String unitForm) throws RemoteException, ITMException;
	 public String getGeoLoCodeXmlData() throws RemoteException, ITMException;
	 public String getUnitFormXmlData() throws RemoteException, ITMException;
	 public String getInitUnitForm()throws RemoteException, ITMException;
	 public String getInitGeoLocation()throws RemoteException, ITMException;
}
